org.codehaus.groovy.plugin

## Interface GroovyRunner

- All Known Implementing Classes:
    TestNgRunner

      public interface GroovyRunner

  Classes which can run scripts should implement this interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRun(Class scriptClass, GroovyClassLoader loader)`
    `Object` | `run(Class scriptClass, GroovyClassLoader loader)`

- - ### Method Detail

    - #### canRun

          boolean canRun(Class scriptClass,
                       GroovyClassLoader loader)

    - #### run

          Object run(Class scriptClass,
                   GroovyClassLoader loader)